OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESConvGeom

# IGESConvGeom Class Reference

This package is intended to gather geometric conversion which
are not immediate but can be used for several purposes :
mainly, standard conversion to and from CasCade geometric and
topologic data, and adaptations of IGES files as required
(as replacing Spline entities to BSpline equivalents).
.

`#include <IGESConvGeom.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Standard_Integer | SplineCurveFromIGES (const Handle(IGESGeom_SplineCurve)&igesent, const Standard_Real epscoef, const Standard_Real epsgeom, Handle(Geom_BSplineCurve)&result)
| Converts a SplineCurve from IGES to a BSplineCurve from CasCade <epscoef> gives tolerance to consider coefficient to be nul <epsgeom> gives tolerance to consider poles to be equal The returned value is a status with these possible values : - 0 OK, done - 1 the result is not guaranteed to be C0 (with <epsgeom>) - 2 SplineType not processed (allowed : max 3) (no result produced) - 3 error during creation of control points (no result produced) - 4 polynomial equation is not correct (no result produced) - 5 less than one segment (no result produced) .
static Standard_EXPORT Standard_Integer | IncreaseCurveContinuity (const Handle(Geom_BSplineCurve)&curve, const Standard_Real epsgeom, const Standard_Integer continuity=2)
| Tries to increase curve continuity with tolerance <epsgeom> <continuity> is the new desired continuity, can be 1 or 2 (more than 2 is considered as 2). Returns the new maximum continuity obtained on all knots. Remark that, for instance with <continuity> = 2, even if not all the knots can be passed to C2, all knots which can be are. .
static Standard_EXPORT Standard_Integer | IncreaseCurveContinuity (const Handle(Geom2d_BSplineCurve)&curve, const Standard_Real epsgeom, const Standard_Integer continuity=2)
static Standard_EXPORT Standard_Integer | SplineSurfaceFromIGES (const Handle(IGESGeom_SplineSurface)&igesent, const Standard_Real epscoef, const Standard_Real epsgeom, Handle(Geom_BSplineSurface)&result)
| Converts a SplineSurface from IGES to a BSplineSurface from CasCade <epscoef> gives tolerance to consider coefficient to be nul <epsgeom> gives tolerance to consider poles to be equal The returned value is a status with these possible values : - 0 OK, done - 1 the result is not guaranteed to be C0 (with <epsgeom>) - 2 degree is not compatible with code boundary type (warning) but C0 is OK - 3 idem but C0 is not guaranteed (warning) - 4 degree has been determined to be nul, either in U or V (no result produced) - 5 less than one segment in U or V (no result produced) .
static Standard_EXPORT Standard_Integer | IncreaseSurfaceContinuity (const Handle(Geom_BSplineSurface)&surface, const Standard_Real epsgeom, const Standard_Integer continuity=2)
| Tries to increase Surface continuity with tolerance <epsgeom> <continuity> is the new desired continuity, can be 1 or 2 (more than 2 is considered as 2). Returns the new maximum continuity obtained on all knots. Remark that, for instance with <continuity> = 2, even if not all the knots can be passed to C2, all knots which can be are. .

## Member Function Documentation

static Standard_EXPORT Standard_Integer IGESConvGeom::IncreaseCurveContinuity | ( | const Handle(Geom2d_BSplineCurve)& | curve,
|  | const Standard_Real | epsgeom,
|  | const Standard_Integer | continuity = `2`
| ) | `[static]`

static Standard_EXPORT Standard_Integer IGESConvGeom::IncreaseCurveContinuity | ( | const Handle(Geom_BSplineCurve)& | curve,
|  | const Standard_Real | epsgeom,
|  | const Standard_Integer | continuity = `2`
| ) | `[static]`

static Standard_EXPORT Standard_Integer IGESConvGeom::IncreaseSurfaceContinuity | ( | const Handle(Geom_BSplineSurface)& | surface,
|  | const Standard_Real | epsgeom,
|  | const Standard_Integer | continuity = `2`
| ) | `[static]`

void IGESConvGeom::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESConvGeom::operator new | ( | size_t | size | ) | `[inline]`

void* IGESConvGeom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Integer IGESConvGeom::SplineCurveFromIGES | ( | const Handle(IGESGeom_SplineCurve)& | igesent,
|  | const Standard_Real | epscoef,
|  | const Standard_Real | epsgeom,
|  | Handle(Geom_BSplineCurve)& | result
| ) | `[static]`

static Standard_EXPORT Standard_Integer IGESConvGeom::SplineSurfaceFromIGES | ( | const Handle(IGESGeom_SplineSurface)& | igesent,
|  | const Standard_Real | epscoef,
|  | const Standard_Real | epsgeom,
|  | Handle(Geom_BSplineSurface)& | result
| ) | `[static]`

The documentation for this class was generated from the following file:

- IGESConvGeom.hxx